@extends('template.content')
@section('content')

    <div class="row">
        <div class="col-sm-12 grid-margin stretch-card">
          <div class="card">
            <div class="card-body">
              <h4 class="card-title">{{$title}}</h4>
              <p class="card-description"> {{$subtitle}} </p>
              <form class="forms-sample" method="POST" action="{{url('admin/content/update')}}" enctype="multipart/form-data">
                @csrf
                <div class="form-group">

                    <input type="hidden" value="{{$row->id}}" name="id">

                  <label for="name">{{Helper::uc('name')}}</label>
                  <input type="text" class="form-control" id="name" value="{{$row->name}}" name="name" placeholder="name" required>
                </div>

                <div class="mb-3">
                    <label for="users" class="form-label">status</label>
                    <select class="form-select" name="status" aria-label="Default select example" required> 
                      <option value="active">active</option>
                      <option value="notactive">notactive</option>
                    </select>
                  </div>

                  @if($row->logo)
                  <div class="form-group">
                    <img src="{{url('storage/'.$row->logo)}}" width="200px" alt="">
                  </div>
                  @endif


                <div class="form-group" style="margin-top: 10px">
                    <label for="logo">{{Helper::uc('logo')}}</label>
                    <input class="form-control" type="file" id="logo" name="logo">
                </div>

                @if($row->wheel)
                <div class="form-group">
                  <img src="{{url('storage/'.$row->wheel)}}" width="200px" alt="">
                </div>
                @endif

                <div class="form-group" style="margin-top: 10px">
                    <label for="description">{{Helper::uc('wheel')}}</label>
                    <input class="form-control" type="file" id="wheel" name="wheel">
                </div>

                @if($row->outwheel)
                <div class="form-group">
                  <img src="{{url('storage/'.$row->outwheel)}}" width="200px" alt="">
                </div>
                @endif

                <div class="form-group" style="margin-top: 10px">
                    <label for="description">{{Helper::uc('outwheel')}}</label>
                    <input class="form-control" type="file" id="outwheel" name="outwheel">
                </div>

                @if($row->background)
                <div class="form-group">
                  <img src="{{url('storage/'.$row->background)}}" width="200px" alt="">
                </div>
                @endif

                <div class="form-group" style="margin-top: 10px">
                    <label for="description">{{Helper::uc('background')}}</label>
                    <input class="form-control" type="file" id="background" name="background">
                </div>

                @if($row->favicon)
                <div class="form-group">
                  <img src="{{url('storage/'.$row->favicon)}}" width="200px" alt="">
                </div>
                @endif

                <div class="form-group" style="margin-top: 10px">
                    <label for="description">{{Helper::uc('favicon')}}</label>
                    <input class="form-control" type="file" id="favicon" name="favicon">
                </div>

                @if($row->music)
                <div class="form-group">
                    <audio controls>
                        <source src="{{url('storage/'.$row->music)}}" type="audio/ogg">
                        <source src="{{url('storage/'.$row->music)}}" type="audio/mpeg">
                        Your browser does not support the audio element.
                      </audio>
                </div>
                @endif


                <div class="form-group" style="margin-top: 10px">
                    <label for="description">{{Helper::uc('music')}}</label>
                    <input class="form-control" type="file" id="music" name="music">
                </div>

                @if($row->music_win)
                <div class="form-group">
                    <audio controls>
                        <source src="{{url('storage/'.$row->music_win)}}" type="audio/ogg">
                        <source src="{{url('storage/'.$row->music_win)}}" type="audio/mpeg">
                        Your browser does not support the audio element.
                      </audio>
                </div>
                @endif

                <div class="form-group" style="margin-top: 10px">
                    <label for="description">{{Helper::uc('music_win')}}</label>
                    <input class="form-control" type="file" id="music_win" name="music_win">
                </div>

                @if($row->music_lose)
                <div class="form-group">
                    <audio controls>
                        <source src="{{url('storage/'.$row->music_lose)}}" type="audio/ogg">
                        <source src="{{url('storage/'.$row->music_lose)}}" type="audio/mpeg">
                        Your browser does not support the audio element.
                      </audio>
                </div>
                @endif

                <div class="form-group" style="margin-top: 10px">
                    <label for="description">{{Helper::uc('music_lose')}}</label>
                    <input class="form-control" type="file" id="music_lose" name="music_lose">
                </div>

                @if($row->music_spin)
                <div class="form-group">
                    <audio controls>
                        <source src="{{url('storage/'.$row->music_spin)}}" type="audio/ogg">
                        <source src="{{url('storage/'.$row->music_spin)}}" type="audio/mpeg">
                        Your browser does not support the audio element.
                      </audio>
                </div>
                @endif

                <div class="form-group" style="margin-top: 10px">
                    <label for="description">{{Helper::uc('music_spin')}}</label>
                    <input class="form-control" type="file" id="music_spin" name="music_spin">
                </div>



                <hr>
                
                <div class="form-group mt-20">
                  <a class="btn btn-success" href="{{url('admin/content')}}"><i class="mdi mdi-arrow-left-thick"></i>&nbsp;Back</a>
                    <button type="submit" class="btn btn-primary mr-2"><i class="mdi mdi-content-save"></i>&nbsp;Submit</button>
                </div>

              </form>
            </div>
          </div>
        </div>
    </div>


@endsection